Swisslinux.org

− The GNU/Linux crossroads in Switzerland −

 

Language

 

The Forum

You are not logged in.

#1 03 May 2014 12:11:17

Martine
Affranchi(e)
 
Registered: 03 May 2014
Posts: 3

[Résolu] message d'erreur mise à jour : oracle-java7-installer

Merci de me donner la solution définitive, je m'en suis provisoirement sortie en décochant la mise à jour Java.

Offline

 

#2 03 May 2014 15:59:58

Trim
Gourou(e) du libre
From: Saxon, Valais
Registered: 17 Oct 2007
Posts: 364
Website

Re: [Résolu] message d'erreur mise à jour : oracle-java7-installer

Bonjour,

Il nous sera très difficile de vous aider si vous ne nous renseignez pas sur le message d'erreur. Qu'indique-t'il ?

Offline

 

#3 05 May 2014 12:44:44

François Marthaler
Modérateur
From: Prilly
Registered: 07 Sep 2013
Posts: 1601
Website

Re: [Résolu] message d'erreur mise à jour : oracle-java7-installer

Bonjour,

Le problème a été identifié. Il provient d'une lamentable erreur de notre part, puisque nous avons oublié, dans notre build, d'installer les clés pour l'accès aux dépôts logiciels Java (http://ppa.launchpad.net/webupd8team/java/ubuntu precise main) et libdvdcss (http://download.videolan.org/pub/debian/stable/ /). Le Gestionnaire de mise à jour voit qu'une mise à jour est disponible pour java7, mais ne peut y accéder.

Pour que tout rentre dans l'ordre, il suffit de suivre les instructions ci-dessous:
- ouvrir une fenêtre terminal en tapant [Ctrl]+[Alt]]+[T]
- copier la commande ci-dessous et la coller dans le terminal avec [Ctrl]+[Maj]+[V]

Code:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys EEA14886

ce qui installe la clé d'authentification pour Java
- installer la clé d'authentification pour VLC en suivant les instructions relatives à la clé dans ce tutoriel.

Il faut ensuite redémarrer la machine, puis cliquer sur le bouton "Vérifier" du Gestionnaire de mises à jour (option "Logiciels à jour" du menu tout en haut à droite avec la roue dentée). L'installation des mises à jour se fera alors sans problème.

Navré pour ce bug! sad


laptop why! N240JU-PRO, Intel Core i7-6500U, RAM 8 Gb, Ubuntu 16.04 LTS

Offline

 

#4 20 May 2014 11:32:33

Martine
Affranchi(e)
 
Registered: 03 May 2014
Posts: 3

Re: [Résolu] message d'erreur mise à jour : oracle-java7-installer

Bonjour, tout n'est pas encore parfait, mais je progresse.
Je n'ai pas les deux lignes dans la sources de logiciels pour java. Merci de me dire comment les ajouter.

Offline

 

#5 20 May 2014 12:54:53

François Marthaler
Modérateur
From: Prilly
Registered: 07 Sep 2013
Posts: 1601
Website

Re: [Résolu] message d'erreur mise à jour : oracle-java7-installer

En fait, les coordonnées du dépôt logiciel pour Java se trouvent non pas dans le fichier sources.list de /etc/apt, mais dans un fichier webupd8team-java-precise.list dans le dossier /etc/apt/sources.list.d. J'imagine qu'il n'existe pas sur votre machine. Merci de vérifier.

Pour installer le tout, ouvrir une fenêtre terminal avec [Ctrl]+[Alt]+[T] et taper les instructions ci-dessous, suivies d'un [Enter] et de votre mot de passe administrateur (celui du login; il ne s'affiche pas, pas même sous forme de petits points):

Code:

sudo add-apt-repository ppa:webupd8team/java

Code:

sudo apt-get update

(comme il vient d'être saisi, le mot de passe administrateur n'a pas besoin d'être saisi à nouveau)

Code:

sudo apt-get install oracle-java7-installer

La dernière commande met 4-5 minutes à s'exécuter.


laptop why! N240JU-PRO, Intel Core i7-6500U, RAM 8 Gb, Ubuntu 16.04 LTS

Offline

 

#6 24 May 2014 12:04:50

Martine
Affranchi(e)
 
Registered: 03 May 2014
Posts: 3

Re: [Résolu] message d'erreur mise à jour : oracle-java7-installer

problème résolu. Merci pour toute l'aide apportée à résoudre mon problème. Il m'a fallu une minute pour que Java fonctionne.big_smile

Offline

 

#7 25 May 2014 12:42:55

François Marthaler
Modérateur
From: Prilly
Registered: 07 Sep 2013
Posts: 1601
Website

Re: [Résolu] message d'erreur mise à jour : oracle-java7-installer

Eh bien, pour quelqu'un qui n'avait jamais vu une machine sous Linux...! C'est une belle démonstration qu'avec un petit peu d'entraide et de la curiosité, on s'en sort très bien. Je vous souhaite beaucoup de plaisir dans l'exploration du monde merveilleux des logiciels libres...

Enfin pas toujours entièrement libres. C'est ainsi que why! n'est pas autorisé à pré-installer Java 7, car il subsiste des bouts de code propriétaire appartenant à Oracle (depuis le rachat de Sun en 2009). Le client final peut le faire gratuitement, moyennant l'acceptation des conditions d'utilisation (rarement lues, il est vrai...).

J'ai donc marqué la question comme [Résolu]. Merci de l'avoir posée!


laptop why! N240JU-PRO, Intel Core i7-6500U, RAM 8 Gb, Ubuntu 16.04 LTS

Offline

 

Board footer

Powered by FluxBB